Debian Bug report logs - #302462
RM: howl -- RoM; license issues (APSL 2.0)

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Jakub Stachowski <stachowski@hypair.net>

Date: Tue, 11 Jan 2005 12:33:01 UTC

Severity: serious

Tags: moreinfo

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Jeff Waugh <jdub@perkypants.org>:
Bug#289856; Package mdnsresponder. Full text and rfc822 format available.

Acknowledgement sent to Jakub Stachowski <stachowski@hypair.net>:
New Bug report received and forwarded. Copy sent to Jeff Waugh <jdub@perkypants.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jakub Stachowski <stachowski@hypair.net>
To: submit@bugs.debian.org
Subject: mdnsresponder: Wrong license
Date: Tue, 11 Jan 2005 13:20:33 +0100
Package: mdnsresponder
Version: 0.9.8-2
Severity: serious
Justification: Policy 12.5

*** Please type your report below this line ***
copyright file installed along with mdnsresponder contains standard BSD 
license. Hovewer:
1) COPYING file from original source states that portions of code are covered 
by APSL 2.0. This is because howl package consists of forked Apple's 
mDNSResponder (covered by APSL) and Porchdog's client library covered by BSD
2) mdnsresponder package contains almost only APSL2-licensed code. Therefore
installing BSD license into /usr/doc/mdnsresponder/copyright is completely 
wrong.


-- System Information:
Debian Release: 3.1
  APT prefers unstable
  APT policy: (990, 'unstable'), (50, 'testing'), (1, 'experimental')
Architecture: i386 (i686)
Kernel: Linux 2.6.10-rc3eng
Locale: LANG=pl_PL, LC_CTYPE=pl_PL (charmap=ISO-8859-2) (ignored: LC_ALL set 
to pl_PL)

Versions of packages mdnsresponder depends on:
ii  libc6                       2.3.2.ds1-20 GNU C Library: Shared libraries 
an

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Jeff Waugh <jdub@perkypants.org>:
Bug#289856; Package mdnsresponder. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Jeff Waugh <jdub@perkypants.org>. Full text and rfc822 format available.

Message #10 received at 289856@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: 289856@bugs.debian.org
Cc: debian-legal@lists.debian.org
Subject: Re: mdnsresponder: Wrong license
Date: Thu, 20 Jan 2005 01:30:53 -0800
[Message part 1 (text/plain, inline)]
Jeff,

Above and beyond the issue of distributing code without proper license
notices, the APSL 2.0 is not, in the opinion of many (and AFAICT, according
to the consensus of the debian-legal mailing list), a free license under the
DFSG.  Although there's been extensive discussion about *which* points of
the license are actually DFSG problems, the questionable clauses are
multiple:

- The copyright license is terminated if you attempt to defend your patent
  rights against Apple.
- The license requires you to publish any local modifications if you deploy
  public services based on the Covered Code, which discriminates against a
  field of endeavour.
- The license includes a choice of venue clause forcing all licensees to
  accept the jurisdiction of the Northern District of California, which is
  discriminatory against persons located outside this district by exposing
  them to unequal legal expense.

Again, while the question of which parts of the license (if any) fail the
DFSG is still somewhat open, the fact is that this license imposes a number
of restrictions on the licensee which are not present in more traditional
Free Software licenses.  Now that it's known that this package is licensed
under the APSL and not under a BSD license, I believe it's best to remove
mdnsresponder from the archive until such a time as it's made available
under a different license or there's a clear consensus that the APSL 2.0 is
a DFSG-free license.

If you agree with this assessment but don't have time to clean the source
tree, let me know and I can take a look at doing this for you.

Thanks,
-- 
Steve Langasek
postmodern programmer
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Jeff Waugh <jdub@perkypants.org>:
Bug#289856; Package mdnsresponder. Full text and rfc822 format available.

Acknowledgement sent to Matthew Garrett <mgarrett@chiark.greenend.org.uk>:
Extra info received and forwarded to list. Copy sent to Jeff Waugh <jdub@perkypants.org>. Full text and rfc822 format available.

Message #15 received at 289856@bugs.debian.org (full text, mbox):

From: Matthew Garrett <mgarrett@chiark.greenend.org.uk>
To: 289856@bugs.debian.org
Cc: debian-legal@lists.debian.org
Subject: Re: mdnsresponder: Wrong license
Date: Thu, 20 Jan 2005 12:36:24 +0000
Steve Langasek <vorlon@debian.org> wrote:

> - The copyright license is terminated if you attempt to defend your patent
>   rights against Apple.

It should be emphasised that this is the case if you defend /any/ patent
rights against Apple. It's not limited to software patents, and it's not
limited to patents that you claim are infringed by that given piece of
software. I think this goes too far (but lean towards believing that
termination of patent rights wouldn't be an unreasonable thing for Apple
to do)

> - The license requires you to publish any local modifications if you deploy
>   public services based on the Covered Code, which discriminates against a
>   field of endeavour.

This clause aims to deal with what is seen by many as a flaw in
traditional copyleft licenses. I don't think it's a terribly convincing
argument in itself - it's no more actively discriminatory than the GPL
("discriminates against people who want to provide closed-source
software"), so the discussion is really whether we want to encourage or
discourage that sort of license. 

> - The license includes a choice of venue clause forcing all licensees to
>   accept the jurisdiction of the Northern District of California, which is
>   discriminatory against persons located outside this district by exposing
>   them to unequal legal expense.

But most licenses discriminate against people who don't speak English,
or don't have legal training, or...

Again, in itself, it's not seeking to discriminate. It's clearly not
equivilent to a clause that says "This software may not be used by
employees of arms manufacturers", which is the sort of thing that DFSG 5
was supposed to deal with.

But I agree with your summary. It's not entirely clear that the APSL
contravenes the DFSG, but it's also not entirely clear that it should be
considered a free software license. I think a firm conclusion is going
to have to wait until we actually have a project-wide discussion of how
the DFSG should be interpreted nowadays, especially in the face of
issues that weren't considered when they were written.
-- 
Matthew Garrett | mjg59-chiark.mail.debian.legal@srcf.ucam.org



Information forwarded to debian-bugs-dist@lists.debian.org, Jeff Waugh <jdub@perkypants.org>:
Bug#289856; Package mdnsresponder. Full text and rfc822 format available.

Acknowledgement sent to Marco d'Itri <md@Linux.IT>:
Extra info received and forwarded to list. Copy sent to Jeff Waugh <jdub@perkypants.org>. Full text and rfc822 format available.

Message #20 received at 289856@bugs.debian.org (full text, mbox):

From: Marco d'Itri <md@Linux.IT>
To: 289856@bugs.debian.org, debian-legal@lists.debian.org
Subject: Re: Bug#289856: mdnsresponder: Wrong license
Date: Fri, 21 Jan 2005 00:06:37 +0100
vorlon@debian.org wrote:

>Above and beyond the issue of distributing code without proper license
>notices, the APSL 2.0 is not, in the opinion of many (and AFAICT, according
>to the consensus of the debian-legal mailing list), a free license under the
Where "many" in this context should be read as "an handful of people on
the debian-legal mailing list who invented new rules which are not part
of the DFSG".

>Again, while the question of which parts of the license (if any) fail the
>DFSG is still somewhat open, the fact is that this license imposes a number
>of restrictions on the licensee which are not present in more traditional
>Free Software licenses.  Now that it's known that this package is licensed
>under the APSL and not under a BSD license, I believe it's best to remove
>mdnsresponder from the archive until such a time as it's made available
>under a different license or there's a clear consensus that the APSL 2.0 is
>a DFSG-free license.
Do you suggest removing from the archive all packages whose licenses
impose uncommon restrictions or just this one?

-- 
ciao,
Marco



Information forwarded to debian-bugs-dist@lists.debian.org, Jeff Waugh <jdub@perkypants.org>:
Bug#289856; Package mdnsresponder. Full text and rfc822 format available.

Acknowledgement sent to Loïc Minier <lool+debian@via.ecp.fr>:
Extra info received and forwarded to list. Copy sent to Jeff Waugh <jdub@perkypants.org>. Full text and rfc822 format available.

Message #25 received at 289856@bugs.debian.org (full text, mbox):

From: Loïc Minier <lool+debian@via.ecp.fr>
To: debian-legal@lists.debian.org
Cc: 289856@bugs.debian.org
Subject: Re: Bug#289856: mdnsresponder: Wrong license
Date: Fri, 21 Jan 2005 09:58:21 +0100
Marco d'Itri <md@Linux.IT> - Fri, Jan 21, 2005:

> Do you suggest removing from the archive all packages whose licenses
> impose uncommon restrictions or just this one?

 In this software the problem is two folds, some parts of the software
 are clearly free, and some other parts are a fork of some code under
 APSL 2.  Which leaves two options: rewriting the non-free part, or
 splitting in two packages, one for contrib and one for non-free.

 I think some software was already built on the libs provided by this
 package[1], so it is not trivial at all (indirect dependencies make
 some packages depend on it via the shlibs mecanism).

 Which makes me wonder whether APSL 2 is acceptable for non-free?

   Regards,

[1]
bee% grep-available -FDepends libhowl -sPackage
Package: gnome-terminal
Package: gnome-gv
Package: nautilus-cd-burner
Package: libgnomeui-0
Package: galeon
Package: libhowl-dev
Package: howl-utils
Package: libgnomevfs2-common
Package: gnome-games
Package: epiphany-browser
Package: gnome-pilot
Package: gnome-session
Package: libgnomevfs2-0
Package: libgnomevfs2-dev
Package: totem-xine
-- 
Loïc Minier <lool@dooz.org>
"Neutral President: I have no strong feelings one way or the other."




Information forwarded to debian-bugs-dist@lists.debian.org, Jeff Waugh <jdub@perkypants.org>:
Bug#289856; Package mdnsresponder. Full text and rfc822 format available.

Acknowledgement sent to MJ Ray <mjr@dsl.pipex.com>:
Extra info received and forwarded to list. Copy sent to Jeff Waugh <jdub@perkypants.org>. Full text and rfc822 format available.

Message #30 received at 289856@bugs.debian.org (full text, mbox):

From: MJ Ray <mjr@dsl.pipex.com>
To: <md@Linux.IT>, <289856@bugs.debian.org>, <debian-legal@lists.debian.org>
Subject: Re: Bug#289856: mdnsresponder: Wrong license
Date: Fri, 21 Jan 2005 10:28:12 +0000
Marco wrote:
> vorlon@debian.org wrote:
> > [...] the APSL 2.0 is not, in the opinion of many (and AFAICT, according
> >to the consensus of the debian-legal mailing list), a free license under the
> Where "many" in this context should be read as "an handful of people on
> the debian-legal mailing list who invented new rules which are not part
> of the DFSG".

Regardless of what you think about the other points, requiring
non-defence of your own patents seems not to follow DFSG 9. Although
I condemn software patents, I know they do exist in some places.

I suspect it really is "many" and not just debian-legal contributors.
Do you really want to argue that software under licences which try to
affect other pieces of unrelated software meets the DFSG?




Information forwarded to debian-bugs-dist@lists.debian.org, Jeff Waugh <jdub@perkypants.org>:
Bug#289856; Package mdnsresponder. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Jeff Waugh <jdub@perkypants.org>. Full text and rfc822 format available.

Message #35 received at 289856@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Loïc Minier <lool+debian@via.ecp.fr>
Cc: debian-legal@lists.debian.org, 289856@bugs.debian.org
Subject: Re: Bug#289856: mdnsresponder: Wrong license
Date: Fri, 21 Jan 2005 05:47:13 -0800
[Message part 1 (text/plain, inline)]
On Fri, Jan 21, 2005 at 09:58:21AM +0100, Loïc Minier wrote:
> Marco d'Itri <md@Linux.IT> - Fri, Jan 21, 2005:

> > Do you suggest removing from the archive all packages whose licenses
> > impose uncommon restrictions or just this one?

>  In this software the problem is two folds, some parts of the software
>  are clearly free, and some other parts are a fork of some code under
>  APSL 2.  Which leaves two options: rewriting the non-free part, or
>  splitting in two packages, one for contrib and one for non-free.

I don't really think it's acceptable to move half of gnome into contrib.
Fortunately, if the package dependencies of libhowl0 are accurate, this
shouldn't be required; mdnsresponder isn't a dependency of libhowl0, only a
recommends: which could in theory be weakened to a suggests:.

You indicated on IRC that the library functionality isn't very useful
without the mdnsresponder package.  I think it isn't very useful to a lot of
users even *with* the mdnsresponder package, so I don't think we'd be lying
to ourselves by weakening this to a suggests:.

>  I think some software was already built on the libs provided by this
>  package[1], so it is not trivial at all (indirect dependencies make
>  some packages depend on it via the shlibs mecanism).

>  Which makes me wonder whether APSL 2 is acceptable for non-free?

The APSL 2.0 allows free redistribution, and allows us to make the
modifications necessary to maintain the package as long as we publish our
source (which we obviously will).  This license would be fine in non-free.

Because the lib would need to stay in main instead of contrib, however, the
source package would still have to be split to allow this.

-- 
Steve Langasek
postmodern programmer
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Jeff Waugh <jdub@perkypants.org>:
Bug#289856; Package mdnsresponder. Full text and rfc822 format available.

Acknowledgement sent to Loïc Minier <lool+debian@via.ecp.fr>:
Extra info received and forwarded to list. Copy sent to Jeff Waugh <jdub@perkypants.org>. Full text and rfc822 format available.

Message #40 received at 289856@bugs.debian.org (full text, mbox):

From: Loïc Minier <lool+debian@via.ecp.fr>
To: debian-legal@lists.debian.org, 289856@bugs.debian.org
Subject: Re: Bug#289856: mdnsresponder: Wrong license
Date: Fri, 21 Jan 2005 16:41:26 +0100
Steve Langasek <vorlon@debian.org> - Fri, Jan 21, 2005:

> I don't really think it's acceptable to move half of gnome into contrib.
> Fortunately, if the package dependencies of libhowl0 are accurate, this
> shouldn't be required; mdnsresponder isn't a dependency of libhowl0, only a
> recommends: which could in theory be weakened to a suggests:.

 Err of course GNOME would have to rebuild gnomevfs and packages built
 with the howl enabled gnomevfs.
   I never meant to move GNOME in contrib!

> You indicated on IRC that the library functionality isn't very useful
> without the mdnsresponder package.  I think it isn't very useful to a lot of
> users even *with* the mdnsresponder package, so I don't think we'd be lying
> to ourselves by weakening this to a suggests:.

 I think howl is great and would really do some good to usability in
 some programs.  But sure, we lived without it in the past.

   Bye,

-- 
Loïc Minier <lool@via.ecp.fr>



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#289856; Package mdnsresponder. Full text and rfc822 format available.

Acknowledgement sent to Jeff Waugh <jdub@perkypants.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #45 received at 289856@bugs.debian.org (full text, mbox):

From: Jeff Waugh <jdub@perkypants.org>
To: 289856@bugs.debian.org, debian-legal@lists.debian.org
Subject: Re: Bug#289856: mdnsresponder: Wrong license
Date: Sun, 30 Jan 2005 15:17:59 +1100
<quote who="Steve Langasek">

> Above and beyond the issue of distributing code without proper license
> notices, the APSL 2.0 is not, in the opinion of many (and AFAICT,
> according to the consensus of the debian-legal mailing list), a free
> license under the DFSG.

Hi, my apologies for the late response.

After the original report came in, I had a moment of doubt, and went back to
check through the APSL 2.0. I came to pretty much the same conclusion (but I
do think there needs to be some kind of review of the DFSG and commonly used
new licenses, cf. Matthew's reply, yada yada).

Here's what I'm going to do about it:

 * Propose that we remove howl from the archive in its entirety. It is not
   the most beautiful implementation, and it does not have enormous buy-in
   throughout the FOSS community so far (only 31 rdepends in sid atm).

 * Talk to the Debian GNOME team about how much pain this will inflict on
   them, offer to buy beer for them, etc.

 * Make a public statement about howl's removal, in the hopes of inspiring
   new, Free implementations to be finished (or written).
   
   "When there's public debate and mass hysteria, that's when the patches
   roll in." - Michael Meeks

Thanks,

- Jeff

-- 
linux.conf.au 2005: Canberra, Australia                http://linux.conf.au/
 
             http://www.xach.com/debian-users-are-beatniks.html



Information forwarded to debian-bugs-dist@lists.debian.org, Jeff Waugh <jdub@perkypants.org>:
Bug#289856; Package mdnsresponder. Full text and rfc822 format available.

Acknowledgement sent to browaeys.alban@wanadoo.fr:
Extra info received and forwarded to list. Copy sent to Jeff Waugh <jdub@perkypants.org>. Full text and rfc822 format available.

Message #50 received at 289856@bugs.debian.org (full text, mbox):

From: browaeys.alban@wanadoo.fr
To: 289856@bugs.debian.org
Cc: jdub@perkypants.org
Subject: Re: Bug#289856: mdnsresponder: Wrong license
Date: Sat, 5 Feb 2005 02:31:07 +0100
Hi sorry if i missed th point or came too late.

There are not much zeroconf implementations. Only two aims at
being free. The only alternative is :
http://www.freedesktop.org/Software/Avahi
The project is stalled for monthes.
http://groups.google.fr/groups?q=howl+apple+code&hl=fr&lr=&selm=cm02q7%24o4g%241%40FreeBSD.csie.NCTU.edu.tw&rnum=1
Or are we talking about multi cast dns only ?


On the other side howl reused apple core (thus the licencing
issue). But the project will replace it as soon as possible.

Also what s wrong with howl implementation of zeroconf ? I agree
that zeroconf itself may not be the best design and is by now way 
undorsed by a ieee.


When you are asking to remove howl to wait for a gpl
implementation i guess there is a misunderstanding. Howl is
developped to reimplement apple ASPL licenced version in GPL code.
My bet is if they did not reimplmented the last apple bits, 


It is already usable under debian. libhowl is only required for
service to auto publish themselves. An administrator can publish
http, ftp, webdav service by hand even if the applications have
no howl code linked.
http://blog.subverted.net/index.php?p=362
On a network with mac os x services , those are available as is
too.
Then, there are only 31 rdepends but one of them is
gnome-vfs . Gnome 2.6.9 is already heavily using it, from IM applications to
music players, :
http://developer.gnome.org/news/summary/2004_July18-July24.html
http://elysium-project.sourceforge.net/epittance/
http://www.temme.net/sander/mod_zeroconf/
http://lists.debian.org/debian-devel/2004/11/msg00862.html
From previously mentioned url:
http://groups.google.fr/groups?q=howl+apple+code&hl=fr&lr=&selm=cm02q7%24o4g%241%40FreeBSD.csie.NCTU.edu.tw&rnum=1
kde is moving to howl too.


If you know of a better alternative, it may have been a good idea
to let gnome developpers know before they finished proting their
plateform to this library.
gnome 2.6.9 is already in experimental. It may be a hard work for
the gnome debian team to patch every upstream releases removing 
the howl bits.


What i found this fall was :
- there is only a GPL zeroconf implementation maintained
  It still have apple code but only in the server which is not
  need by applications linking to the library
  This code will be replaced asap
- gnome 2.6.10 will/is using howl extensively

Regarding debians, apple core won't be rewritten before sarge,
there are no news about that since july. 

Regards
Alban




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#289856; Package mdnsresponder. Full text and rfc822 format available.

Acknowledgement sent to Jeff Waugh <jdub@perkypants.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #55 received at 289856@bugs.debian.org (full text, mbox):

From: Jeff Waugh <jdub@perkypants.org>
To: browaeys.alban@wanadoo.fr
Cc: 289856@bugs.debian.org
Subject: Re: Bug#289856: mdnsresponder: Wrong license
Date: Sat, 5 Feb 2005 12:42:32 +1100
<quote who="browaeys.alban@wanadoo.fr">

> There are not much zeroconf implementations. Only two aims at
> being free. The only alternative is :
> http://www.freedesktop.org/Software/Avahi
> The project is stalled for monthes.

I am in regular contact with the developer, and tracking its progress.

> Also what s wrong with howl implementation of zeroconf ? I agree
> that zeroconf itself may not be the best design and is by now way 
> undorsed by a ieee.

Howl is not a fantastic implementation (see nifd, mDNSResponder problems).

> When you are asking to remove howl to wait for a gpl implementation i
> guess there is a misunderstanding. Howl is developped to reimplement apple
> ASPL licenced version in GPL code.  My bet is if they did not reimplmented
> the last apple bits, 

Howl is not a GPL reimplementation of Apple's code. It was a direct copy of
early versions, modified to work interoperate with other systems, with a new
BSD-like client library. There was no intention of completely rewriting the
mDNSResponder.

> It is already usable under debian. libhowl is only required for
> service to auto publish themselves. An administrator can publish
> http, ftp, webdav service by hand even if the applications have
> no howl code linked.

It is the mDNSResponder license that is problematic, not the client library.

> If you know of a better alternative, it may have been a good idea to let
> gnome developpers know before they finished proting their plateform to
> this library.  gnome 2.6.9 is already in experimental. It may be a hard
> work for the gnome debian team to patch every upstream releases removing
> the howl bits.

It won't be significantly difficult. I'm the GNOME release manager, in close
communication with upstream and the Debian and Ubuntu GNOME teams.

> - there is only a GPL zeroconf implementation maintained
>   It still have apple code but only in the server which is not
>   need by applications linking to the library
>   This code will be replaced asap

There is no fully working GPL implementation. Howl is not GPL.

> - gnome 2.6.10 will/is using howl extensively

It is an optional dependency of gnome-vfs. It is not using Howl extensively.

- Jeff

-- 
linux.conf.au 2005: Canberra, Australia                http://linux.conf.au/
 
   "The Vines are the latest pretenders to the thrown." - Vines review by
                                liv4now.com



Information forwarded to debian-bugs-dist@lists.debian.org, Jeff Waugh <jdub@perkypants.org>:
Bug#289856; Package mdnsresponder. Full text and rfc822 format available.

Acknowledgement sent to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
Extra info received and forwarded to list. Copy sent to Jeff Waugh <jdub@perkypants.org>. Full text and rfc822 format available.

Message #60 received at 289856@bugs.debian.org (full text, mbox):

From: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
To: 289856@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: mdnsresponder: Wrong license
Date: Fri, 18 Feb 2005 01:02:18 +0100
clone 289856 -1 -2 -3
reassign -1 daapd
retitle -1 Build-depends on libhowl-dev, which will become non-free or removed
reassign -2 gnome-vfs2
retitle -2 Build-depends on libhowl-dev, which will become non-free or removed
reassign -3 supercollider
retitle -3 Build-depends on libhowl-dev, which will become non-free or removed
thanks

On Thu, Jan 20, 2005 at 01:30:53AM -0800, Steve Langasek wrote:
> Above and beyond the issue of distributing code without proper license
> notices, the APSL 2.0 is not, in the opinion of many (and AFAICT, according
> to the consensus of the debian-legal mailing list), a free license under the
> DFSG.  Although there's been extensive discussion about *which* points of
> the license are actually DFSG problems, the questionable clauses are
> multiple.

So, the 'howl' source package, building the libhowl-dev package amongst
others, will either need to be removed, or moved to non-free. In either
of those two cases, the main packages build-depending on it should stop
doing so.

--Jeroen

-- 
Jeroen van Wolffelaar
jeroen@wolffelaar.nl
http://jeroen.A-Eskwadraat.nl



Bug 289856 cloned as bugs 295774, 295775, 295776. Request was from Jeroen van Wolffelaar <jeroen@wolffelaar.nl> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Jeff Waugh <jdub@perkypants.org>:
Bug#289856; Package mdnsresponder. Full text and rfc822 format available.

Acknowledgement sent to Joe Barnett <thejoe@gmail.com>:
Extra info received and forwarded to list. Copy sent to Jeff Waugh <jdub@perkypants.org>. Full text and rfc822 format available.

Message #67 received at 289856@bugs.debian.org (full text, mbox):

From: Joe Barnett <thejoe@gmail.com>
To: 289856@bugs.debian.org
Subject: Re: Bug#289856: mdnsresponder: Wrong license
Date: Fri, 25 Feb 2005 08:00:02 -0800
for what it's worth, http://dotlocal.org/mdnsd/ appears to be a
GPL/BSD dual licensed implementation of multicast dns...  not sure how
elegant the code is, but it's at least a start.  Hasn't been updated
in about 2 years though, so there may not be any upstream at this
point.

-Joe



Information forwarded to debian-bugs-dist@lists.debian.org, Jeff Waugh <jdub@perkypants.org>:
Bug#289856; Package mdnsresponder. Full text and rfc822 format available.

Message #70 received at 289856@bugs.debian.org (full text, mbox):

From: Don Armstrong <don@debian.org>
To: Jordi Mallach <jordi@debian.org>
Cc: 289856@bugs.debian.org
Subject: howl (old bugs and non-free bug #289856)
Date: Wed, 30 Mar 2005 20:00:42 -0800
Just wondering if you had heard anything from your sponsee (Jeff Waugh
<jdub@perkypants.org>) recently about howl and possibly getting some
of the bug reports that have been filed against it fixed, especially
#289856. [Otherwise, I guess the alternative is requesting that
ftp-master remove the package.]

http://bugs.debian.org/cgi-bin/pkgreport.cgi?src=howl

As always, let me know if I can be of any assistance.


Don Armstrong

-- 
"The trouble with you, Ibid" he said, "is that you think you're the
biggest bloody authority on everything"
 -- Terry Pratchet _Pyramids_ p146

http://www.donarmstrong.com              http://rzlab.ucr.edu



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#289856; Package mdnsresponder. Full text and rfc822 format available.

Acknowledgement sent to Jeff Waugh <jdub@perkypants.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #75 received at 289856@bugs.debian.org (full text, mbox):

From: Jeff Waugh <jdub@perkypants.org>
To: Don Armstrong <don@debian.org>, 289856@bugs.debian.org
Cc: Jordi Mallach <jordi@debian.org>
Subject: Re: Bug#289856: howl (old bugs and non-free bug #289856)
Date: Thu, 31 Mar 2005 14:29:17 +1000
<quote who="Don Armstrong">

> Just wondering if you had heard anything from your sponsee (Jeff Waugh
> <jdub@perkypants.org>) recently about howl and possibly getting some of
> the bug reports that have been filed against it fixed, especially #289856.
> [Otherwise, I guess the alternative is requesting that ftp-master remove
> the package.]
> 
> http://bugs.debian.org/cgi-bin/pkgreport.cgi?src=howl
> 
> As always, let me know if I can be of any assistance.

Howl is being removed from Debian (and Ubuntu). Please see the completed
discussion on #289856 about this.

  http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=289856

- Jeff

-- 
UbuntuDownUnder: April 25th-30th                      http://www.ubuntu.com/
 
  "A problem worthy of attack, proves its worth by fighting back." - Paul
                                   Erdos



Information forwarded to debian-bugs-dist@lists.debian.org, Jeff Waugh <jdub@perkypants.org>:
Bug#289856; Package mdnsresponder. Full text and rfc822 format available.

Message #78 received at 289856@bugs.debian.org (full text, mbox):

From: Don Armstrong <don@debian.org>
To: 289856@bugs.debian.org
Subject: Re: Bug#289856: howl (old bugs and non-free bug #289856)
Date: Wed, 30 Mar 2005 20:48:03 -0800
On Thu, 31 Mar 2005, Jeff Waugh wrote:
> Howl is being removed from Debian (and Ubuntu). Please see the completed
> discussion on #289856 about this.

Yes, clearly I'm aware of the bug and the discussion... otherwise I'd
be rather hard pressed to have Cc:'ed it.

1) What is the current status? [295774-6 have all been closed.]

2) When do you expect to clone this bug and reassign to ftp-master to
request removal?


Don Armstrong

-- 
If it jams, force it. If it breaks, it needed replacing anyway.
 -- Lowery's Law

http://www.donarmstrong.com              http://rzlab.ucr.edu



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#289856; Package mdnsresponder. Full text and rfc822 format available.

Acknowledgement sent to Jeff Waugh <jdub@perkypants.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #83 received at 289856@bugs.debian.org (full text, mbox):

From: Jeff Waugh <jdub@perkypants.org>
To: Don Armstrong <don@debian.org>, 289856@bugs.debian.org
Subject: Re: Bug#289856: howl (old bugs and non-free bug #289856)
Date: Thu, 31 Mar 2005 16:20:58 +1000
<quote who="Don Armstrong">

> On Thu, 31 Mar 2005, Jeff Waugh wrote:
> > Howl is being removed from Debian (and Ubuntu). Please see the completed
> > discussion on #289856 about this.
> 
> Yes, clearly I'm aware of the bug and the discussion... otherwise I'd be
> rather hard pressed to have Cc:'ed it.
> 
> 1) What is the current status? [295774-6 have all been closed.]
> 
> 2) When do you expect to clone this bug and reassign to ftp-master to
> request removal?

That has been done AFAIK.



Information forwarded to debian-bugs-dist@lists.debian.org, Jeff Waugh <jdub@perkypants.org>:
Bug#289856; Package mdnsresponder. Full text and rfc822 format available.

Message #86 received at 289856@bugs.debian.org (full text, mbox):

From: Don Armstrong <don@debian.org>
To: 289856@bugs.debian.org
Subject: Re: Bug#289856: howl (old bugs and non-free bug #289856)
Date: Wed, 30 Mar 2005 22:39:54 -0800
clone 289856 -1
reassign -1 ftp.debian.org
retitle -1 please remove howl as it is non-free (APSL 2.0)
thanks

On Thu, 31 Mar 2005, Jeff Waugh wrote:
> <quote who="Don Armstrong">
> > 2) When do you expect to clone this bug and reassign to ftp-master
> > to request removal?
> 
> That has been done AFAIK.

Hrm... I can't find the bug. Going ahead and cloning and reassigning a
clone now. If I've missed something, go ahead and merge them. If you
concur, feel free to retitle the bug RoM yada yada yada (for request
of maintainer).


Don Armstrong

-- 
It has always been Debian's philosophy in the past to stick to what
makes sense, regardless of what crack the rest of the universe is
smoking.
 -- Andrew Suffield in 20030403211305.GD29698@doc.ic.ac.uk

http://www.donarmstrong.com              http://rzlab.ucr.edu



Bug 289856 cloned as bug 302462. Request was from Don Armstrong <don@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `mdnsresponder' to `ftp.debian.org'. Request was from Don Armstrong <don@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Don Armstrong <don@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Philipp Kern <pkern@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#302462; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #99 received at 302462@bugs.debian.org (full text, mbox):

From: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
To: Don Armstrong <don@debian.org>, 302462@bugs.debian.org
Cc: jdub@perkypants.org, Debian Bugs Control Bot <control@bugs.debian.org>
Subject: Re: Bug#289856: howl (old bugs and non-free bug #289856)
Date: Mon, 11 Apr 2005 18:43:39 +0200
tags 302462 moreinfo
thanks

On Thu, Mar 31, 2005 at 03:22:09PM -0800, Don Armstrong wrote:
> clone 289856 -1
> reassign -1 ftp.debian.org
> retitle -1 please remove howl as it is non-free (APSL 2.0)
> thanks
>
> On Thu, 31 Mar 2005, Jeff Waugh wrote:
> > <quote who="Don Armstrong">
> > > 2) When do you expect to clone this bug and reassign to ftp-master
> > > to request removal?
> > 
> > That has been done AFAIK.
> 
> Hrm... I can't find the bug. Going ahead and cloning and reassigning a
> clone now. If I've missed something, go ahead and merge them. If you
> concur, feel free to retitle the bug RoM yada yada yada (for request
> of maintainer).

First, removal requests should be filed by the maintainer. But, anyway,
afaics this is about moving from main to non-free, not about removing
the package altogether.

Please instead just proceed and upload a new howl package with corrected
component (non-free instead of main), by changing the section from net
to non-free/net.

If the maintainer really wants to remove howl instead, please supply a
reason and confirmation to this bug.

--Jeroen

-- 
Jeroen van Wolffelaar
jeroen@wolffelaar.nl
http://jeroen.A-Eskwadraat.nl



Tags added: moreinfo Request was from Jeroen van Wolffelaar <jeroen@wolffelaar.nl> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Jeroen van Wolffelaar <jeroen@wolffelaar.nl> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `ftp.debian.org' to `howl'. Request was from Jeroen van Wolffelaar <jeroen@wolffelaar.nl> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#302462; Package howl. Full text and rfc822 format available.

Acknowledgement sent to Jeff Waugh <jdub@perkypants.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #110 received at 302462@bugs.debian.org (full text, mbox):

From: Jeff Waugh <jdub@perkypants.org>
To: 302462@bugs.debian.org
Subject: Please remove howl
Date: Fri, 2 Sep 2005 02:26:53 +1000
Hi,

I didn't realise I was a blocker on this, my apologies.

Please just completely remove howl. There's really no point putting it in
non-free.

Thanks,

- Jeff

-- 
GNOME Summit: October 8th-10th              http://live.gnome.org/Boston2005
 
   She said she loved my mind, though by most accounts I had already lost
                                    it.



Bug reassigned from package `howl' to `ftp.debian.org'. Request was from Robert McQueen <robot101@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Adam D. Barratt <debian-bts@adam-barratt.org.uk> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#302462; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #119 received at 302462@bugs.debian.org (full text, mbox):

From: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
To: Jeff Waugh <jdub@perkypants.org>, 302462@bugs.debian.org
Cc: "Michael A. Dickerson" <mikey@singingtree.com>
Subject: Re: Please remove howl
Date: Tue, 13 Sep 2005 00:16:11 +0200
On Fri, Sep 02, 2005 at 02:26:53AM +1000, Jeff Waugh wrote:
> Hi,
> 
> I didn't realise I was a blocker on this, my apologies.
> 
> Please just completely remove howl. There's really no point putting it in
> non-free.

Hm, this will break daapd. Michael, are you aware of the state of howl?
Please be adviced that if this package is removed, daapd will be
uninstalleable. So please adopt this package and move it to non-free if
you want to keep daapd installeable.

--Jeroen

-- 
Jeroen van Wolffelaar
jeroen@wolffelaar.nl
http://jeroen.A-Eskwadraat.nl



Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#302462; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to "Michael A. Dickerson" <mikey@singingtree.com>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #124 received at 302462@bugs.debian.org (full text, mbox):

From: "Michael A. Dickerson" <mikey@singingtree.com>
To: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
Cc: Jeff Waugh <jdub@perkypants.org>, 302462@bugs.debian.org
Subject: Re: Please remove howl
Date: Tue, 13 Sep 2005 15:59:36 -0700 (PDT)
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

On Tue, 13 Sep 2005, Jeroen van Wolffelaar wrote:
> Hm, this will break daapd. Michael, are you aware of the state of howl?
> Please be adviced that if this package is removed, daapd will be
> uninstalleable. So please adopt this package and move it to non-free if
> you want to keep daapd installeable.

Let's just drop daapd too; it has at least one design problem that is
non-trivial to fix (see #294934) and it's not clear to me that there is a
future for daapd or howl.

I still use the package, and in case anybody that wanders through here is
interested, it can be found in my local repository at
http://www.dci.pomona.edu/debs.

M.D.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2 (FreeBSD)

iD8DBQFDJ1nfQBZkSjT8gWoRArTCAJwNfQbX2NK3tfQWlqvCQuwOdB/njACgyzVf
ETLJoWlxrojCy13Dq3X136E=
=BgO8
-----END PGP SIGNATURE-----



Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Jakub Stachowski <stachowski@hypair.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #129 received at 302462-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 302462-close@bugs.debian.org
Cc: howl@packages.debian.org, howl@packages.qa.debian.org
Subject: Bug#302462: fixed
Date: Thu, 15 Sep 2005 17:15:37 -0700
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

      howl |    0.9.8-2 | source
howl-utils |    0.9.8-2 | alpha, arm, hppa, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc
libhowl-dev |    0.9.8-2 | alpha, arm, hppa, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc
libhowl-doc |    0.9.8-2 | all
  libhowl0 |    0.9.8-2 | alpha, arm, hppa, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc
mdnsresponder |    0.9.8-2 | alpha, arm, hppa, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 302462@bugs.debian.org.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Jeroen van Wolffelaar (the ftpmaster behind the curtain)



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Jun 2007 12:09:26 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 17:04:54 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.